Subject: Re: [PATCH v2 -mm 6/9] netconsole: Introduce netconsole_netdev_notifier

From: KII Keiichi <[email-masked]>
Date: Fri, 13 Jul 2007 22:47:11 +0900

Hi Satyam,

> From: Satyam Sharma <[email-masked]>
> 
> [6/9] netconsole: Introduce netconsole_netdev_notifier
> 
> To update fields of underlying netpoll structure at runtime on
> corresponding NETDEV_CHANGEADDR or NETDEV_CHANGENAME notifications.
> 
> ioctl(SIOCSIFHWADDR) {or ioctl(SIOCSIFNAME)} could be used to change the
> hardware/MAC address {or name} of the local interface that our netpoll is
> attached to. Whenever this happens, netdev notifier chain is called out
> with the NETDEV_CHANGEADDR {or NETDEV_CHANGENAME} event message. We respond
> to that and update the local_mac {or dev_name} field of the struct netpoll.
> This makes sense anyway, but is especially required for dynamic netconsole
> because the netpoll structure's internal members become user visible files
> when either sysfs or configfs are used. So this helps us to keep up with the
> MAC address / name changes and keep the values in struct netpoll uptodate.
> 
> Signed-off-by: Satyam Sharma <[email-masked]>
> Cc: Keiichi Kii <[email-masked]>
> 
Signed-off-by: Keiichi Kii <[email-masked]>

Thanks
--
Keiichi KII
NEC Corporation OSS Platform Development Division
E-mail: [email-masked]